Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Variant details

Returns details for a single product variant.

GET/shops/{shop_id}/variants/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Path parameters
shop_idstringrequired
Shop ID or subdomain
idintegerrequired
Variant ID
Responses
200Variant resource
idinteger
titlestring
skustring | null
priceinteger
price_comparisoninteger | null
stockinteger
available_if_no_stockboolean
weight_in_gramsinteger
_linksobject
404Resource not found
messagestring
Request
curl -X GET "https://api.onbolder.com/v1/shops/string/variants/0" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": 0,
  "title": "string",
  "sku": "string",
  "price": 0,
  "price_comparison": 0,
  "stock": 0,
  "available_if_no_stock": true,
  "weight_in_grams": 0,
  "_links": {}
}